Bug 1290234 - open voices freezes gui
open voices freezes gui
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-activity-journal (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Mads Villadsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 17:03 EST by Jiri Prajzner
Modified: 2016-12-20 11:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:51:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journal log (16.88 KB, text/plain)
2015-12-10 12:05 EST, Jiri Prajzner
no flags Details

  None (edit)
Description Jiri Prajzner 2015-12-09 17:03:58 EST
Description of problem:
While searching for "voi" and then selecting "Open voices" freezes the GUI, keyboard stops working, only the mouse is working.

Version-Release number of selected component (if applicable):
3.18.3

How reproducible:
Always

Steps to Reproduce:
1. Display Activities (move mouse to top-left corner, or use the Win key)
2. Search for "voi"
3. Select "Open voices"

Actual results:
GUI and keyboard freeze, only mouse cursor movement works. Ntification about an application missing dependencies is displayed.

Expected results:
No freeze, stable behavior

Additional info:
The component is probably incorrect.
Comment 1 Jiri Prajzner 2015-12-10 12:05 EST
Created attachment 1104419 [details]
journal log
Comment 2 Richard Hughes 2016-01-08 04:37:03 EST
Can you get a coredump/backtrace please. This is very difficult to debug with such limited information.
Comment 3 Jiri Prajzner 2016-01-08 09:03:18 EST
If I search in Activities for open document (.odt, .od etc.) files, it returns a result that seems to be associated with Gnumeric application by default (although I've got Libre Office installed).
If I click on the Gnumeric icon or the search results under the Gnumeric icon,  the GNOME crashes as described initially.

Little explanation why this bz is named the way it is: apparently the GNOME tracker (which is in really sorry state IMO) searches the contents of files by default, so it matched the "voi" to "Open Voices" string in my ~/Downloads/open_hardware_source.odt first. If I click on that, it crashes.

Hopefully this can be worked around by better default configuration of tracker in Activities...
Comment 4 Richard Hughes 2016-01-08 09:38:36 EST
So, this isn't a bug you experience when using gnome-software? i.e. the application installer...
Comment 5 Jiri Prajzner 2016-01-08 10:03:41 EST
No, this happens when I search in gnome-activities-journal.
I'm sorry for confusion (as I mentioned in Additional info).
Component changed accordingly.
Comment 6 Jiri Prajzner 2016-01-20 08:48:05 EST
A workaround is to exclude the Documents application group from Search in Settings.
Comment 7 Fedora End Of Life 2016-11-24 09:07:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Jiri Prajzner 2016-11-24 09:26:23 EST
cannot reproduce in f25
Comment 9 Fedora End Of Life 2016-12-20 11:51:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.